import { createBlockRenderer } from '@notion-render/client';
import hljs from 'highlight.js';
const codeBlockRenderer = (options) => createBlockRenderer('code', async (data, renderer) => {
    const code = await renderer.render(...data.code.rich_text);
    const result = hljs.highlight(code, {
        language: data.code.language,
        ...options,
    });
    return `
            <div class="notion-${data.type}">
                <pre><code class="language-${data.code.language}">${result.value}</code></pre>
                ${data.code.caption.length > 1
        ? `<legend>${await renderer.render(...data.code.caption)}</legend>`
        : ''}
            </div>
        `;
});
const hljsPlugin = (options) => ({
    renderers: [codeBlockRenderer(options)],
    extensions: [],
});
export default hljsPlugin;
//# sourceMappingURL=index.js.map